{
    attributes = (
        {
            columnName = "DEP_ID"; 
            externalType = NUMBER; 
            name = depId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PRE_ID"; 
            externalType = NUMBER; 
            name = pcapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCD_ID"; 
            externalType = NUMBER; 
            name = pcdId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (depId, pcdId); 
    className = "org.cocktail.kaki.server.metier.EOPafCapDepenses"; 
    classProperties = (cap); 
    externalName = "jefy_paf.PAF_CAP_DEPENSES"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (cap); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOPafCapDepenses"; 
    }; 
    name = PafCapDepenses; 
    primaryKeyAttributes = (pcdId); 
    relationships = (
        {
            destination = PafChargesAPayer; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pcapId; sourceAttribute = pcapId; }); 
            name = cap; 
        }
    ); 
}
